<?php
	session_start();
	if($_SESSION['subadm'])
	{
		$userid=1111;
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		$query8="select * from wallet where Userid='$userid' order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
?>
<html>
<head>
<style>
body{background:url(bg.jpg); background-size:cover; margin:0; padding:0; width:1580px;}
.head{background:; width:1450px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:#996420; padding:5px; border-radius:4px;}
 #link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}
#red{color:red;}
#blue{color:blue;}
.menu{background:#996420; height:40px; width:1450px; margin-left:10px; padding:0; line-height:40px;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 
 #srchby{margin-left:20px; font-family:calibri; font-size:22px;}
 .date{margin:10 0 0 20px;}
 .rechreport{width:500px; height:40px; background:#996420; color:white; line-height:40px; margin-left:20px;}
 .rechreport p{margin-left:20px;}
 
#t1{ width:500px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; }
#t1 td{font-family:calibri;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }
#t1 a{text-decoration:none; color:red;}
#sp{color:#19dc42; text-decoration:none;}
#red a{color:red; text-decoration:none;}
#green a{color:green; text-decoration:none;}

 .foot{float:left; margin:10 0 0 100px; width:1350px;}
 </style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2">Balance:<?php echo $currentbal; ?> </p>
	</div>
    <?php include 'menu.php'; ?>
	<h3 id="srchby">Search By</h3><hr>
	<div class="date">
	    <form method="post">
		From Date : <input type="date" name="fdate">
		To Date : <input type="date" name="ldate">
		        <input type="submit" name="submit">
		</form>
	</div>
	<div class="rechreport">
		<p>Duplicate Refund History</p>
	</div>
	<table border="1" cellpadding="5" id="t1">
		<tr>
			<th>Sl. No.</th>
			<th>Recharge Id</th>
			<th>Quantity</th>
			<th colspan="2">Action</th>
		</tr>
		<?php
			include'connection.php';
			
			date_default_timezone_set("asia/Kolkata");
			$datetime= Date("Y-m-d - h:i:s A");
			$time= Date("h:i:s A");
			$date= Date("Y-m-d");
			$sl=0;
			if(isset($_POST['submit']))
			{   
			    $fdate =$_POST['fdate'];
			    $ldate =$_POST['ldate'];
			   	 $query="select Paynrechid, count(Paynrechid) from wallet where Transactiontype='Recharge_Refund' and ActiveRefund='0' and Date>='$fdate' and Date<='$ldate' group By Paynrechid having Count(Paynrechid)>1;";
                $result=mysqli_query($con,$query);
		    	while($row=mysqli_fetch_array($result))
		    	{
		    	    $sl=$sl+1;
			    	echo "<tr>";
			    		echo "<td>".$sl."</td>";
			    		echo "<td>".$row['Paynrechid']."</td>";
		    			echo "<td>".$row['count(Paynrechid)']."</td>";
		    			echo "<td id='red'><a href='reverse_dup_refund.php?id=".$row['Paynrechid']."'>Reverse Duplicate refund</a></td>";
		    			echo "<td id='green'><a href='inactive_dup_refund.php?id=".$row['Paynrechid']."'>Inactive Duplicate refund</a></td>";
			    	echo "</tr>";
	    		}
		   	}
			$query="select Paynrechid, count(Paynrechid) from wallet where Transactiontype='Recharge_Refund' and ActiveRefund='0' group By Paynrechid having Count(Paynrechid)>1;";
			$result=mysqli_query($con,$query);
			while($row=mysqli_fetch_array($result))
			{
			    $sl=$sl+1;
				echo "<tr>";
					echo "<td>".$sl."</td>";
					echo "<td>".$row['Paynrechid']."</td>";
					echo "<td>".$row['count(Paynrechid)']."</td>";
		    		echo "<td id='red'><a href='reverse_dup_refund.php?id=".$row['Paynrechid']."'>Reverse Duplicate refund</a></td>";
		    		echo "<td id='green'><a href='inactive_dup_refund.php?id=".$row['Paynrechid']."'>Inactive Duplicate refund</a></td>";
				echo "</tr>";
			}
		?>
	</table>
	<div class="foot">
		<p>Copyright &copy; 2018 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>